document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add scroll animation for features
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('animate');
      }
    });
  }, { threshold: 0.1 });

  document.querySelectorAll('.feature-card').forEach((card) => {
    observer.observe(card);
  });

  // Mobile menu toggle
  const mobileMenuToggle = document.createElement('button');
  mobileMenuToggle.classList.add('mobile-menu-toggle');
  mobileMenuToggle.innerHTML = '☰';
  
  const nav = document.querySelector('nav');
  const navLinks = document.querySelector('.nav-links');
  
  if (window.innerWidth <= 768) {
    nav.insertBefore(mobileMenuToggle, navLinks);
  }

  mobileMenuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('show');
  });

  // Template preview modal
  document.querySelectorAll('.template-card').forEach(card => {
    card.addEventListener('click', () => {
      // Add template preview functionality here
    });
  });
});